Subject: Windowed gdb?!?!
From: [email-masked] (Earnie Boyd)

7 Nov 1998 06:08:18 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: cygwin users <[email-masked]>

Can anyone tell me what I need to do to get the windowed version of
the gdb?

Is it simply enough to modify the b19 binary of gdb.exe to use the
cygwin1.dll and copy the share/gdbtcl directory or were there
modifications to the gdb source that need to get incorporated; thus
causing the need to rebuild with the patches for the windowed version?

In case anyone else is interested, I was able to get the b19 version
of gdb.exe to use the cygwin1.dll.  Here's what I did:

cp b19/gdb.exe to /tmp.
cd /tmp
mc  ;#this is Midnight Commander
down arrow to gdb.exe
F3  (view the file)
F7  (search for cygwinb19.dll)
F4  (Hex Mode)
F2  (Edit)
F2  (Edit Text)
cygwin1.dll  (keyboard entry)
F2  (Edit Hex)
0000 (Numeric keyboard entry)
F6  (Save)
F10
F10

cp -rp b19/share/gdbtcl b20/share/
cygcheck ./gdb.exe  ;#This is to verify that it is using the cygwin1.dll
../gdb               ;#Test to see if it works.
mv ./gdb.exe b20/bin/

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".